IMG_ReadXPMFromArrayToRGB888(3)

NAME
IMG_ReadXPMFromArrayToRGB888 - Load an XPM image from a memory array.

SYNOPSIS
#include <SDL3_image/SDL_image.h>

SDL_Surface * IMG_ReadXPMFromArrayToRGB888(char **xpm);

DESCRIPTION
The returned surface will always be a 32-bit RGB surface. If you want 8-bit indexed colors (and the XPM data allows it), use IMG_ReadXPMFromArray() instead.

When done with the returned surface, the app should dispose of it with a call to SDL_DestroySurface().

FUNCTION PARAMETERS

xpm a null-terminated array of strings that comprise XPM data.

RETURN VALUE
Returns a new SDL surface, or NULL on error.

AVAILABILITY
This function is available since SDL_image 3.0.0.

SEE ALSO
IMG_ReadXPMFromArray(3)